<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_2e858fb1973337f53ff" . "85c104fcb38f4" => base64_decode("cHVibG" . "lzaGVk"), "_80e7ee43fdf8" . "38101a2303a7b" . "4a50efc" => base64_decode("dG9fZm9sZGVyX" . "2lk"), "_939c6a45ff74323dbef487e" . "d15753a7c" => base64_decode("c3Rhd" . "GU="), "_d0845bff5cd0ddb5ed1d7b" . "d9db996f51" => base64_decode("c29" . "1cm" . "Nl"), "t" . "y" . "p" . "e" => base64_decode("dHlwZ" . "Q=="), "_32155cc" . "b342f199" . "04309304" . "1c1b3bb5" . "7" => base64_decode("ZnJvbV9mb2xkZXJ" . "faWQ="), "_4c760fb02a49c55509ba08" . "7b84fbda45" => base64_decode("ZH" . "Jh" . "Zn" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_939c6a45ff74323d" . "bef487ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_939c6a45ff74323" . "dbef487ed15753a7" . "c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4c760fb02a49c55509ba08" . "7b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2e858fb1973337f53ff85c104" . "fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["t" . "y" . "p" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["t" . "y" . "p" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d0845bff5cd0ddb5ed1d7bd9db" . "996f51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_32155ccb342f199043093041c1b3" . "bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_80e7ee43fdf83810" . "1a2303a7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}